Forum
  1. Forums
  2. CloudLinux and Control Panels
  3. CloudLinux and Other Control Panels
  1. Gregor L
  2. Tuesday, February 07, 2012
  3.  Subscribe via email
Hsphere 3.5.1[br]apache2-h3.1-2.2.20-2[br][br]I recently noticed this error after the server is running or a while:[br][br]Argument list too long: fastcgi_pm: Error on LVE enter -7[br]\"/hsphere/shared/php5/bin/php\": spawn_fs_process() failed[br][br]Sites are very slow or give a 500 Error at that point until I restart apache.[br][br]Any idea what could cause this?
Rate this post:
  1. 07.02.2012 16:02:43
  2. # 1
Igor Seletskiy Accepted Answer
Posts: 1193
Joined: 09.02.2010
0
Votes
Undo
Are you running mod_fcgid or mod_fastcgi? I would recommend switching to mod_fcgid
The -7 error means entry processes limit is hit
Yet, with mod_fcgid, this is handled gracefully. With mod_fastcgi -- it sounds like it is not.
  1. 07.02.2012 16:02:25
  2. # 2
Gregor L Accepted Answer
Posts: 5
Joined: 28.07.2011
0
Votes
Undo
So, the default setting that is provided it not optimal?:

<IfDefine FASTCGI>
<IfDefine !LIBLVE>
LoadModule fastcgi_module modules/mod_fastcgi.so
</IfDefine>
<IfDefine LIBLVE>
LoadModule fastcgi_module modules/mod_fastcgi_lve.so
</IfDefine>
</IfDefine>

/hsphere/shared/apache2/bin/httpd.prefork -k start -DLIBPHP5 -DSSL -DFASTCGI -DSECURITY2 -DLIBLVE

I\'m guessing I should follow these instructions?:
http://www.cloudlinux.com/docs/hsphere35.php

Because I also found these under \"Getting Started\" -> Hsphere -> Follow this steps to complete the setup and install modules for H-Sphere:
http://www.cloudlinux.com/docs/hsperelve_07.php
  1. 07.02.2012 16:02:26
  2. # 3
Igor Seletskiy Accepted Answer
Posts: 1193
Joined: 09.02.2010
0
Votes
Undo
  1. 10.02.2012 11:02:38
  2. # 4
Gregor L Accepted Answer
Posts: 5
Joined: 28.07.2011
0
Votes
Undo
This seems to have fixed the issue. Thank you!
(Any chance to get Parallels to include it int Hsphere 3.6 or as a RPM? Its quite a pain to install manually :) )
  1. 10.02.2012 14:02:40
  2. # 5
Igor Seletskiy Accepted Answer
Posts: 1193
Joined: 09.02.2010
0
Votes
Undo
I\'ll check with them next week at Parallels Summit.
  1. 10.02.2012 18:02:57
  2. # 6
Gregor L Accepted Answer
Posts: 5
Joined: 28.07.2011
0
Votes
Undo
This should be added to the fcgi.conf:

FcgidMaxRequestLen 1073741824

otherwise end-users will get errors like this in wordpress admin:

mod_fcgid: HTTP request length 131720 (so far) exceeds MaxRequestLen (131072),
  1. 17.01.2013 16:01:07
  2. # 7
xeo mueller Accepted Answer
Posts: 1
Joined: 17.01.2013
0
Votes
Undo
how could i edit this on cloudlinux 6.3 with plesk 11.

on /etc/httpd/conf.d/fcgid.conf ?
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Remove Upload Files (Maximum File Size: 2 MB)
You may insert polls into your post. The poll would then appear in the post.
Vote Options
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.